.tarjeta-producto-categoria {
  display: grid;
  grid-template-columns: 45% 55%;
  height: 250px;
  width: 100%;
  padding: 10px;
  box-shadow: var(--box-shadow-card-2);
  border-radius: var(--border-radius-card-2);
  overflow: hidden;

  .img_producto {
    border-radius: var(--border-radius);
  }

  .detalles-producto {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    padding: 0 10px 10px 15px;

    & label {
      margin-top: 10px;
      font-size: 20px;
      text-transform: uppercase;
      text-align: start;
      color: var(--primary);
    }

    .precio {
      font-size: 20px;
      color: var(--primary-1);
      font-weight: 600;
    }

    .categoriaProducto {
      font-size: 16px;
      letter-spacing: 0.5px;
      color: var(--grey);
    }

    .botones {
      display: flex;
      gap: 5px;

      & button {
        height: 45px;
        width: 45px;
        font-size: 24px;
        border-radius: 50%;
      }
    }
  }
}

.form_reserva {
  display: flex;
  flex-direction: column;
  gap: 10px;

  .p-element .p-inputnumber .p-inputnumber-input {
    width: 50px;
  }
}

.dialog-container-general .p-element {
  .p-dialog-mask .p-dialog .p-dialog-content {
    overflow-y: initial;
    padding-top: 20px;
  }

  .p-fieldset {
    border-color: var(--primary);

    .p-fieldset-legend {
      margin-left: 10px;
      padding: 10px 15px;
      color: white;
      background-color: var(--primary);
    }
  }
}

@media (300px < width < 750px) {
  .tarjeta-producto-categoria {
    height: 200px;

    .img_producto {
      border-radius: var(--border-radius);
    }

    .detalles-producto {
      & label {
        font-size: 16px;
        text-transform: capitalize;
      }

      .precio {
        font-size: 16px;
      }

      .categoriaProducto {
        font-size: 12px;
      }

      .stock {
        font-size: 10px;
      }

      .botones {
        & button {
          height: 35px;
          width: 35px;
          font-size: 18px;
        }
      }
    }
  }

  .form_reserva {
    display: flex;
    flex-direction: column;
    gap: 5px;

    & label {
      font-size: 14px;
    }

    .p-element .p-inputnumber .p-inputnumber-input {
      width: auto;
    }

    .form-group {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
    }

    span {
      font-size: 13px;
    }
  }

  .dialog-container-general .p-element {
    .p-dialog-mask .p-dialog .p-dialog-content {
      overflow-y: initial;
      padding-top: 20px;
    }

    .p-fieldset {
      border-color: var(--primary);

      .p-fieldset-legend {
        margin-left: 10px;
        padding: 10px 15px;
        color: white;
        background-color: var(--primary);
      }
    }
  }
}
